View Issue Details

IDProjectCategoryView StatusLast Update
0002495FreeCADFeaturepublic2019-04-11 22:20
Reporterquick61Assigned Tochrisb 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.19 
Summary0002495: Add tool to Image Workbench to easily scale images.
DescriptionIt would be very useful to have a tool in the Image Workbench that one could pick 2 points on a planar image, or draw a line, define the desired distance between the two points or length of the line and scale the planar image to match.

I would envision the tool to work something like this, similar to the way one uses the tape measure in sketchup to scale an image -

Import the planar image.

Select the planar image

Start the Planar Image Scaling Tool

Pick the first point or start of line.

Pick the second point or endpoint of line.

A dialog box similar to the Sketcher Length dialog would be available to enter the desired distance and when clicking OK, the image would then be linearly scaled to reflect the new defined length.

 
Additional InformationFor reference, this is how the tool works in sketchup - https://youtu.be/A42Fa53FMlE
TagsNo tags attached.

Activities

Kunda1

2018-10-19 13:31

administrator   ~0012069

Forum thread: https://forum.freecadweb.org/viewtopic.php?f=8&t=31671

Issue History

Date Modified Username Field Change
2016-04-05 16:51 quick61 New Issue
2018-10-19 13:25 Kunda1 Tag Attached: #post-to-forum
2018-10-19 13:31 Kunda1 Note Added: 0012069
2018-10-19 13:31 Kunda1 Tag Detached: #post-to-forum
2019-04-11 22:20 chrisb Assigned To => chrisb
2019-04-11 22:20 chrisb Status new => closed
2019-04-11 22:20 chrisb Resolution open => fixed
2019-04-11 22:20 chrisb Fixed in Version => 0.19